# ApiYarnApplicationAttribute Data Model

Metadata about a YARN application attribute.

Properties
name | data type | description
--- | --- | ---
name | string | The name of the attribute. This name can be used in filters, for example 'user' could be used in the filter 'user = root'.
type | string | The type of the attribute. Valid types are STRING, NUMBER, BOOLEAN, BYTES, MILLISECONDS, BYTES_PER_SECOND, BYTE_SECONDS.
displayName | string | The display name for the attribute.
supportsHistograms | boolean | Whether the Service Monitor can generate a histogram of the distribution of the attribute across applications.
description | string | The description of the attribute.

Example

    {
      "name" : "...",
      "type" : "...",
      "displayName" : "...",
      "supportsHistograms" : true,
      "description" : "..."
    }